Name:           prewikka
Version:        0.9.14
Release:        %mkrel 2
Epoch:          0
Summary:        Graphical front-end analysis console for the Prelude Hybrid IDS Framework
License:        GPL
Group:          System/Servers
URL:            http://www.prelude-ids.org/
Source0:        http://www.prelude-ids.org/download/releases/prewikka-%{version}.tar.gz
Source1:        http://www.prelude-ids.org/download/releases/prewikka-%{version}.tar.gz.md5
Source2:        http://www.prelude-ids.org/download/releases/prewikka-%{version}.tar.gz.sig
Source3:        http://www.prelude-ids.org/download/releases/prewikka-%{version}.txt
Requires:       apache
Requires:       python-cheetah
Requires:       python-prelude
Requires:       python-preludedb
Requires:       python-%{name} = %{epoch}:%{version}-%{release}
Requires(post): rpm-helper
Requires(postun): rpm-helper
%py_requires -d
BuildRequires:  python-cheetah
BuildRequires:  rpm-helper
BuildRequires:  rpm-mandriva-setup
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
Prewikka is a graphical front-end analysis console for the Prelude 
Hybrid IDS Framework. Providing numerous features, Prewikka facilitates 
the work of users and analysts. It provides alert aggregation and sensor 
and hearbeat views, and has user management and configurable filters. It 
has access to external tools such as whois and traceroute.

%package -n python-%{name}
Summary:        Python library for prewikka
Group:          Development/Python
%py_requires -d

%description -n python-%{name}
Python library for prewikka.

%prep
%setup -q

%build
%{__python} ./setup.py build --compile -O2

%install
%{__rm} -rf %{buildroot}
%{__python} ./setup.py install --no-compile --root=%{buildroot}
%{__perl} -pi -e 's|^#!/usr/bin/env python||' %{buildroot}%{python_sitelib}/%{name}/templates/*.py
%{__perl} -pi -e 's|prewikka/css|/prewikka/css|g;' \
              -e 's|prewikka/js|/prewikka/js|g;' \
              -e 's|prewikka/images|/prewikka/images|g;' \
  %{buildroot}%{python_sitelib}/%{name}/*.py \
  %{buildroot}%{python_sitelib}/%{name}/templates/*.py \
  %{buildroot}%{python_sitelib}/%{name}/templates/*.tmpl

# install cgi's to www directory
%{__mkdir_p} %{buildroot}%{_var}/www/cgi-bin
%{__install} -m 755 %{buildroot}%{_datadir}/%{name}/cgi-bin/*.cgi %{buildroot}%{_var}/www/cgi-bin
%{__rm} -r %{buildroot}%{_datadir}/%{name}/cgi-bin

%{__mkdir_p} %{buildroot}%{_webappconfdir}
%{__cat} > %{buildroot}%{_webappconfdir}/%{name}.conf << EOF
# %{name} configuration

Alias /%{name} %{_datadir}/%{name}/htdocs

<Directory %{_datadir}/%{name}/htdocs>
    Allow from 127.0.0.1
</Directory>
EOF

%{__cat} > README.urpmi << EOF
%{name} requires a database. The default database is mysql. To
complete the default installation, do something like the following:

%{_bindir}/mysqladmin create prewikka
echo "GRANT ALL PRIVILEGES ON prewikka.* TO prelude@'localhost' IDENTIFIED BY 'prelude';" | %{_bindir}/mysql -h localhost
%{_bindir}/mysql -h localhost -u prelude prewikka -p < %{_datadir}/%{name}/mysql.sql
EOF

%{__rm} %{buildroot}%{python_sitelib}/prewikka-%{version}-py%{pyver}.egg-info

%find_lang %{name}

%clean
%{__rm} -rf %{buildroot}

%post
%{_post_webapp}

%postun
%{_postun_webapp}

%files -f %{name}.lang
%defattr(0644,root,root,0755)
%doc AUTHORS HACKING.README NEWS PKG-INFO README
%doc README.urpmi
%attr(0755,root,root) %{_bindir}/prewikka-httpd
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/database
%attr(0755,root,root) %{_datadir}/%{name}/database/*.sh
%{_datadir}/%{name}/database/*.sql
%attr(0755,root,root) %{_var}/www/cgi-bin/*.cgi
%{_datadir}/%{name}/htdocs
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/%{name}.conf
%config(noreplace) %{_webappconfdir}/%{name}.conf

%files -n python-%{name}
%defattr(0644,root,root,0755)
%{python_sitelib}/%{name}


%changelog
* Fri Aug 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 0:0.9.14-2mdv2009.0
+ Revision: 269011
- rebuild early 2009.0 package (before pixel changes)

* Sun Apr 20 2008 David Walluck <walluck@mandriva.org> 0:0.9.14-1mdv2009.0
+ Revision: 196027
- 0.9.14

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Oct 18 2007 David Walluck <walluck@mandriva.org> 0:0.9.13-1mdv2008.1
+ Revision: 100006
- 0.9.13

* Thu Aug 02 2007 David Walluck <walluck@mandriva.org> 0:0.9.12.1-1mdv2008.0
+ Revision: 58324
- 0.9.12.1

* Mon Jun 11 2007 David Walluck <walluck@mandriva.org> 0:0.9.11.4-1mdv2008.0
+ Revision: 38081
- 0.9.11.4

* Tue Jun 05 2007 David Walluck <walluck@mandriva.org> 0:0.9.11.3-4mdv2008.0
+ Revision: 35772
- fix path to css, images, and js
- split out python package
- split python build and install steps
- remove shebang from .py scripts since they aren't standalone

* Wed May 30 2007 David Walluck <walluck@mandriva.org> 0:0.9.11.3-3mdv2008.0
+ Revision: 32730
- fix apache alias

* Wed May 30 2007 David Walluck <walluck@mandriva.org> 0:0.9.11.3-2mdv2008.0
+ Revision: 32720
- use default path for htdocs and just set apache config correctly

* Tue May 29 2007 David Walluck <walluck@mandriva.org> 0:0.9.11.3-1mdv2008.0
+ Revision: 32697
- 0.9.11.3

* Fri May 25 2007 David Walluck <walluck@mandriva.org> 0:0.9.11.1-1mdv2008.0
+ Revision: 31229
- 0.9.11.1

* Mon May 21 2007 David Walluck <walluck@mandriva.org> 0:0.9.11-1mdv2008.0
+ Revision: 29507
- 0.9.11
- rediff paths patch


* Sat Apr 07 2007 David Walluck <walluck@mandriva.org> 0.9.10-1mdv2007.1
+ Revision: 151221
- 0.9.10

* Tue Feb 06 2007 David Walluck <walluck@mandriva.org> 0:0.9.9-1mdv2007.1
+ Revision: 116943
- 0.9.9

* Sun Nov 26 2006 David Walluck <walluck@mandriva.org> 0:0.9.8-1mdv2007.1
+ Revision: 87319
- 0.9.8

* Tue Oct 24 2006 David Walluck <walluck@mandriva.org> 0:0.9.7.1-4mdv2007.1
+ Revision: 71993
- BuildRequires: python-devel instead of python
- BuildRequires: python
- add README.urpmi with database notes
- patch for correct paths (FHS compliance)
- Requires: python-prelude for prewikka-httpd
- Requires: python-preludedb for prewikka-httpd
- Import prewikka

* Thu Oct 19 2006 David Walluck <walluck@mandriva.org> 0:0.9.7.1-1mdv2007.1
- release

